const budget = {
    state () {
        return {
                Accounts: [],
                Categories: [],
                Transactions: [],
                Assignments: []
        }
    },
    mutations: {
        setAccounts (state, accounts) {
                state.Accounts = accounts;
        }
    },
    getters: {
        Accounts(state) {
            return state.Accounts || [];
        },
        OnBudgetAccounts(state) {
            return (state.Accounts || []).filter(x => x.OnBudget);
        },
        OffBudgetAccounts(state) {
            return (state.Accounts || []).filter(x => !x.OnBudget);
        },
    },
    actions: {
        fetchBudget ({state, commit, rootState}, budgetid) {
            fetch("/api/v1/budget/" + budgetid, {
                headers: {
                    'Authorization': 'Bearer ' + rootState.Session.Token
                }
            })
                .then(x => x.json())
                .then(x => commit("setAccounts", x.Accounts));
        }
    }
}

export default budget