const dashboard = {
    state () {
        return {
            Budgets: [],
            CurrentBudget: null,
        }
    },
    mutations: {
        setBudgets (state, budgets) {
                state.Budgets = budgets;
        }
    },
    getters: {
        Budgets(state) {
            return state.Budgets || [];
        }
    },
    actions: {
        fetchDashboard ({state, commit, rootState}) {
            fetch("/api/v1/dashboard", {
                headers: {
                    'Authorization': 'Bearer ' + rootState.Session.Token
                }
            })
                .then(x => x.json())
                .then(x => commit("setBudgets", x.Budgets));
        }
    }
}

export default dashboard